package com.ruoyi.project.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 tp_area_para_standard
 * 
 * @author ruoyi
 * @date 2024-04-26
 */
public class TpAreaParaStandard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 电梯型号ID */
    @Excel(name = "电梯型号ID")
    private Long elevatorModelId;

    /** 参数编码 */
    @Excel(name = "参数编码")
    private Long paraId;
    private String paraCode;

    /** 参数标准配置值 */
    @Excel(name = "参数标准配置值")
    private String paraDefaultValue;

    /** 参数标准配置id（关联参数选项表） */
    @Excel(name = "参数标准配置id", readConverterExp = "关=联参数选项表")
    private Long paraDefaultId;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setElevatorModelId(Long elevatorModelId) 
    {
        this.elevatorModelId = elevatorModelId;
    }

    public Long getElevatorModelId() 
    {
        return elevatorModelId;
    }
    public void setParaCode(String paraCode) 
    {
        this.paraCode = paraCode;
    }

    public String getParaCode() 
    {
        return paraCode;
    }
    public void setParaDefaultValue(String paraDefaultValue) 
    {
        this.paraDefaultValue = paraDefaultValue;
    }

    public String getParaDefaultValue() 
    {
        return paraDefaultValue;
    }
    public void setParaDefaultId(Long paraDefaultId) 
    {
        this.paraDefaultId = paraDefaultId;
    }

    public Long getParaDefaultId() 
    {
        return paraDefaultId;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public Long getParaId() {
        return paraId;
    }

    public void setParaId(Long paraId) {
        this.paraId = paraId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("elevatorModelId", getElevatorModelId())
            .append("paraCode", getParaCode())
            .append("paraDefaultValue", getParaDefaultValue())
            .append("paraDefaultId", getParaDefaultId())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
